## Gdk Extensions Gdk Extensions — various extensions to Gdk |

## Stability Level

Stable, unless otherwise indicated

## Functions

GdkScreen * | xfce_gdk_screen_get_active ()
GdkRectangle * | xfce_gdk_screen_get_geometry ()

## Includes

    #include <libxfce4ui/libxfce4ui.h>

## Description

Common used functions that are not provided by the Gdk or Gdk-pixbuf library.

## Functions

### xfce_gdk_screen_get_active ()

    GdkScreen *
    xfce_gdk_screen_get_active (gint *monitor_return);

Returns the currently active GdkScreen, that is, the screen which currently contains the pointer. If no active screen was found, the default GdkScreen is returned.

#### Parameters

monitor_return | Address to store the monitor number to or `NULL`. | [out][allow-none]

#### Returns

the currently active GdkScreen.

[transfer full]

### xfce_gdk_screen_get_geometry ()

    GdkRectangle *
    xfce_gdk_screen_get_geometry (void);

Returns the width and height of the default GdkScreen. This is a replacement for gdk_screen_width/gdk_screen_height.

#### Returns

a newly created GdkRectangle containing the width and height of the screen.

[transfer full]

Since: 4.14